# Uses of Class
org.apache.sysds.parser.IfStatementBlock

Packages that use IfStatementBlock
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.util

## Uses of IfStatementBlock in org.apache.sysds.parser

Methods in org.apache.sysds.parser with parameters of type IfStatementBlock
Modifier and Type
Method
Description
`void`
DMLTranslator.`constructHopsForIfControlBlock(IfStatementBlock sb)`

## Uses of IfStatementBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return IfStatementBlock
Modifier and Type
Method
Description
`static IfStatementBlock`
ProgramConverter.`createIfStatementBlockCopy(IfStatementBlock sb, boolean forceDeepCopy)`
Methods in org.apache.sysds.runtime.util with parameters of type IfStatementBlock
Modifier and Type
Method
Description
`static IfStatementBlock`
ProgramConverter.`createIfStatementBlockCopy(IfStatementBlock sb, boolean forceDeepCopy)`